import $req from '../request';
/**
/**
 * 任务管理-列表
 * @param data 请求参数
 */
export const getTaskListApi = params =>
    $req({
        method: 'get',
        url: '/scTask/list',
        params,
    });
/**
 * 任务管理-新增
 * @param data 请求参数
 */
export const addTaskApi = data =>
    $req({
        method: 'post',
        url: '/scTask',
        data,
    });
/**
 * 教师端-查询学生任务情况
 * @param data 请求参数
 */
export const getFamilyTaskStuApi = params =>
    $req({
        method: 'get',
        url: '/scTask/getFamilyTaskStuList',
        params,
    });

/**
 * 选择任务-列表
 * @param data 请求参数
 */
export const taskConfigListApi = params =>
    $req({
        method: 'get',
        url: '/scTaskConfig/list',
        params,
    });
/**
 * 选择任务-新增
 * @param data 请求参数
 */
export const addTaskConfigApi = data =>
    $req({
        method: 'post',
        url: '/scTaskConfig',
        data,
    });
/**
 * 选择任务-删除
 * @param data 请求参数
 */
export const deleteTaskConfigApi = ids =>
    $req({
        method: 'delete',
        url: `/scTaskConfig/${ids}`,
    });
/**
 * 选择任务-更新
 * @param data 请求参数
 */
export const updateTaskStatusApi = data =>
    $req({
        method: 'post',
        url: '/scTask/updateTaskStatus',
        data,
    });
